#
# spec file for package unlzx
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Zhong Huaren <huaren.zhong@gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           unlzx
Version:        1.1
Release:        2.3
Summary:        Unarchiver for Amiga LZX archives
License:        SUSE-Permissive
Group:          Productivity/Archiving/Compression
URL:            http://xavprods.free.fr/lzx/
# http://aminet.net/misc/unix/unlzx.c.gz
Source0:        unlzx.c.gz
# http://aminet.net/misc/unix/unlzx.c.gz.readme
Source1:        unlzx.c.gz.readme
# PATCH-FIX-OPENSUSE fix-implicit.patch
Patch0:         fix-implicit.patch

%description
LZX uses a compact way of encoding large match offsets. The Amiga
implementation includes file merging, where data are grouped into
large blocks, instead of being individually compressed.

%prep
%setup -q -T -c
gunzip %{SOURCE0} -c > %{name}.c
cp %{SOURCE1} README
%patch0 -p1

%build
gcc %{optflags} -o %{name} %{name}.c

%install
install -Dm755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README
%{_bindir}/%{name}

%changelog
* Sat Jan 26 2019 aloisio@gmx.com
- Initial package (v1.1)
- Added fix-implicit.patch to address rpmlint warnings
